# Angular Michelin around tire

The  package is a library to build Michelin specific components in Angular applications.

## Usage

Internal : `@michelin/around-tire`
External : `@michelin-org/around-tire`

### 1. Install Michelin Theme

Make sure Michelin theme is correctly installed.

### 2. Install Michelin Around Tire

- Install michelin around tire plugin `npm i @michelin/around-tire`

### 3. Include Michelin desired module

Michelin modules can be imported in the shared module

For example :

```typescript
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';

import { VehicleModule } from '@michelin/around-tire';

@NgModule({
  imports: [
    CommonModule,
    VehicleModule
  ],
  providers: [],
  declarations: []
})
export class SharedModule {}
```
### 4. Include theme mixin
```scss
@import '@michelin/around-tire/theming.scss';

@include around-tire-theme($theme);
```
